Filter Query Parameter

Learn about how to use filter formulas when searching objects in the Ironclad Public API

Several list endpoints support a filter query parameter that lets you narrow results using formula expressions. The property reference should be enclosed in brackets [ ] and string values should be enclosed in single quotes ' ' or double quotes " ".

Supported Operations

Equality

OperationParametersSupported TypesExample
Equals2strings, numbers, dates, booleansEquals([counterpartyName], 'Acme Corp.')
NotEqual2strings, numbers, dates, booleansNotEqual([counterpartyName], 'Acme Corp.')

String Matching

OperationParametersSupported TypesExample
Contains2stringsContains([counterpartyName], 'Acme')

Emptiness Checks

OperationParametersSupported TypesExample
IsEmpty1anyIsEmpty([counterpartyName])
IsNotEmpty1anyIsNotEmpty([counterpartyName])

Comparison

OperationParametersSupported TypesExample
LessThan2numbers, datesLessThan([amount], '1000')
LessThanOrEqual2numbers, datesLessThanOrEqual([amount], '1000')
GreaterThan2numbers, datesGreaterThan([amount], '1000')
GreaterThanOrEqual2numbers, datesGreaterThanOrEqual([amount], '1000')

Logical Combinators

OperationParametersExample
And2 or moreAnd(GreaterThan([amount], '1000'), Contains([counterpartyName], 'Acme'))
Or2 or moreOr(Contains([counterpartyName], 'Acme'), Contains([counterpartyName], 'Corp'))

And and Or accept two or more formula expressions as arguments, allowing you to compose complex filters.

Date Functions

Date functions can be used as values in comparison and equality operations.

FunctionParametersDescription
Today()0Resolves to the current date.
Date(year, month, day)3A specific calendar date. Year must be a number, month between 1–12, and day must be valid for the given month and year.
RelativeDate(anchor, offset, unit)3A date relative to an anchor. The anchor must be Today() or a Date(...) expression. We do not support using a property reference as an anchor. The offset is a numeric value (positive or negative). The unit is a string whose value can be one of 'days', 'weeks', 'months', or 'years'.

Examples:

Equals([startDate], Date(2025, 6, 15))
GreaterThan([startDate], Today())
LessThan([endDate], RelativeDate(Today(), 30, "days"))
GreaterThanOrEqual([startDate], RelativeDate(Date(2025, 1, 1), -6, "months"))

Combining Filters

You can nest logical combinators to build complex queries:

And(
  Or(Equals([counterpartyName], 'Acme Corp'), Equals([counterpartyName], 'Acme Corporation')),
  GreaterThan([agreementDate], Date(2025, 1, 1)),
  IsNotEmpty([amount])
)